libtruth-java_0.39-1_all.deb


Advertisement

Description

libtruth-java - assertion/proposition framework for Java unit tests

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libtruth-java_0.39-1_all.deb
Package name libtruth-java
Package version 0.39
Package release 1
Package architecture all
Package type deb
Category java
Homepage https://github.com/truth0/truth
License -
Maintainer Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Download size 160.10 KB
Installed size 211.00 KB
This package provides a assertion/proposition framework for Java unit tests.
It is considered alpha software but is currently needed and used by the Guava
GWT bindings.

Alternatives

Package Version Architecture Repository
libtruth-java_0.39-1_all.deb 0.39 all Debian Main
libtruth-java - - -

Requires

Name Value
junit4 >= 4.12
libguava-java -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libtruth-java_0.39-1_all.deb
Source Package libtruth-java

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libtruth-java deb package:
    # sudo apt-get install libtruth-java

Files

Path
/usr/share/doc/libtruth-java/README.md
/usr/share/doc/libtruth-java/changelog.Debian.gz
/usr/share/doc/libtruth-java/copyright
/usr/share/java/truth-0.39.jar
/usr/share/java/truth.jar
/usr/share/maven-repo/com/google/truth/truth-parent/0.39/truth-parent-0.39.pom
/usr/share/maven-repo/com/google/truth/truth-parent/debian/truth-parent-debian.pom
/usr/share/maven-repo/com/google/truth/truth/0.39/truth-0.39.jar
/usr/share/maven-repo/com/google/truth/truth/0.39/truth-0.39.pom
/usr/share/maven-repo/com/google/truth/truth/debian/truth-debian.jar
/usr/share/maven-repo/com/google/truth/truth/debian/truth-debian.pom

Changelog

2018-07-24 - Emmanuel Bourg <ebourg@apache.org>
libtruth-java (0.39-1) unstable; urgency=medium
* Team upload.
* New upstream release
- Build the new core module
- Ignore the new extension modules
- Disabled GWT support
* Build with maven-debian-helper instead of javahelper
* Standards-Version updated to 4.1.5
* Removed the unused build dependency on ant-optional
* Changed the package priority from extra to optional
* Use salsa.debian.org Vcs-* URLs
2018-03-17 - Emmanuel Bourg <ebourg@apache.org>
libtruth-java (0.7.0-3) unstable; urgency=medium
* Team upload.
* Fixed the build failure with Java 9 (Closes: #893294)
* Standards-Version updated to 4.1.3
* Switch to debhelper level 11
2016-09-26 - tony mancill <tmancill@debian.org>
libtruth-java (0.7.0-2) unstable; urgency=medium
[ Emmanuel Bourg ]
* Team upload.
* Moved the package to Git
[ tony mancill ]
* Transition package to Java Team maintenance.
* Bump Standards-Version to 3.9.8.
* Update Vcs URLs to use https.
* Build-depend upon default-jdk. (Closes: #761544)
* Add watch file
2012-08-28 - Brian Thomason <brian.thomason@eucalyptus.com>
libtruth-java (0.7.0-1) unstable; urgency=low
* Initial release (Closes: #686121)

See Also

Package Description
libtry-tiny-byclass-perl_0.01-2_all.deb selectively catch exceptions by class name
libtry-tiny-perl_0.30-1_all.deb module providing minimalistic try/catch
libtry-tiny-smartcatch-perl_0.5-1_all.deb lightweight Perl module for powerful exceptions handling
libtrycatch-perl_1.003002-2+b5_i386.deb first class try catch semantics for Perl
libts-bin_1.19-1_i386.deb touch screen library utilities
libts-dev_1.19-1_i386.deb touch screen library, development files
libts0_1.19-1_i386.deb touch screen library
libtsan0-amd64-cross_8.3.0-2cross1_all.deb ThreadSanitizer -- a Valgrind-based detector of data races (runtime)
libtsan0-arm64-cross_8.3.0-2cross1_all.deb ThreadSanitizer -- a Valgrind-based detector of data races (runtime)
libtsan0-ppc64-cross_8.3.0-2cross2_all.deb ThreadSanitizer -- a Valgrind-based detector of data races (runtime)
libtsan0-ppc64el-cross_8.3.0-2cross1_all.deb ThreadSanitizer -- a Valgrind-based detector of data races (runtime)
libtse3-0.3.1c2a_0.3.1-6_i386.deb portable MIDI sequencer engine in C++
libtse3-dev_0.3.1-6_i386.deb portable MIDI sequencer engine in C++ - development files
libtsk-dev_4.6.5-1_i386.deb library for forensics analysis (development files)
libtsk13_4.6.5-1_i386.deb library for forensics analysis on volume and filesystem data
Advertisement
Advertisement